import 'package:flutter/material.dart';
import 'package:mortage_pay/ui/mortgage_app.dart';
import 'package:mortage_pay/util/colors.dart';

final ThemeData _mortagagetheme = _buildMortagageTheme();

ThemeData _buildMortagageTheme() {
  final ThemeData base = ThemeData.light();
  return base.copyWith(
    accentColor: primaryIndigoDark,
    primaryColor: primaryIndigo200,
    scaffoldBackgroundColor: secondaryBackgroundWhite,
    hintColor: textOnPrimary,
    cardColor: secondaryDeepPurple,
    textTheme: _buildMortagageTextTheme(base.textTheme),
    inputDecorationTheme: InputDecorationTheme(
      border: OutlineInputBorder(
        borderSide: BorderSide(color: primaryIndigoLight),
        borderRadius: BorderRadius.circular(12)
      )
    ),
    floatingActionButtonTheme: base.floatingActionButtonTheme.copyWith(
      elevation: 7,
      splashColor: primaryIndigoLight,
      backgroundColor: secondaryDeepPurple
    )
  );
}

_buildMortagageTextTheme(TextTheme base) {
  return base.copyWith(
    body1: TextStyle(
      color:textOnPrimary,
      fontSize: 16
    ),

  ).apply(
    fontFamily: "Lobster"
  );
}


void main() => runApp(new MaterialApp(
  theme: _buildMortagageTheme(),
  home: MortgageApp(),
));